/************************************************************************************
**    SIMphoto is an aplication based on single image photogrammetry. It is useful
**    for creating and printing a photomap. The software is designed for close
**    range photogrammtery. Outputs are usable in the field of heritage preservation.
**    Copyright (C) 2009 David Cizek
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**    How to contact me: cizekdav@gmail.com
**
***********************************************************************************/

#include "aboutdialog.h"

AboutDialog::AboutDialog(QWidget *parent)
    : QDialog(parent)
{
    Qt::WindowFlags flags;
    flags = Qt::Dialog;
    flags |= Qt::WindowCloseButtonHint;

    QPixmap logoPixmap("images/windowIcon.png");

    logo = new QLabel(this);
    logo->setPixmap(logoPixmap);

    swName = new QLabel(tr("SIMphoto version 12.2010"), this);
    swDescription = new QLabel(tr(" SIMphoto is a tool for creating photomap."), this);
    swCopyright = new QLabel(tr(" Copyright (C) 2010 David Cizek."), this);
    swLicense = new QLabel(tr("This program comes with ABSOLUTELY NO WARRANTY; This is free software, and you are welcome to redistribute it under certain conditions; see licence.txt for details."), this);

    swName->setFont(QFont("Arial", 20, QFont::Bold));

    QHBoxLayout *headerLayout = new QHBoxLayout;
    headerLayout->addWidget(logo);
    headerLayout->addWidget(swName);

    QGridLayout *aboutLayout = new QGridLayout;
    aboutLayout->addLayout(headerLayout, 0, 0);
    aboutLayout->addWidget(swDescription, 1, 0);
    aboutLayout->addWidget(swCopyright, 2, 0);
    aboutLayout->addWidget(swLicense, 3, 0);

    this->setWindowFlags(flags);
    setWindowTitle("SIMphoto");
    setLayout(aboutLayout);
    setModal(true);
}
